Skip to main content
GET
/
v2
/
api
/
core
/
wallets
/
{walletId}
Return a single wallet by ID
curl --request GET \
  --url https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId} \
  --header 'X-Signature: <api-key>'
{
  "walletId": "ZTEST-NOBENF-849P8XKKAO",
  "walletName": "Demo wallet",
  "walletCompany": "ZTEST",
  "createdBy": "api-maker@zodia.io",
  "status": "ACTIVE",
  "valid": true,
  "registeredComplianceKey": true,
  "blockchain": "<string>",
  "assetBalances": [
    {
      "currency": "<string>",
      "unitCurrency": "<string>",
      "availableUnitBalance": "641400",
      "ledgerUnitBalance": "641400",
      "pendingOutUnitBalance": "0",
      "pendingInUnitBalance": "0",
      "availableBalance": "0.006414",
      "ledgerBalance": "0.006414",
      "pendingOutBalance": "0",
      "pendingInBalance": "0"
    }
  ],
  "createdAt": "2021-08-03T18:17:57Z",
  "updatedAt": "2021-08-03T18:17:57Z"
}

Authorizations

X-Signature
string
header
required

Path Parameters

walletId
string
required

Response

OK

walletId
string

ID of the wallet

Required string length: 1 - 40
Pattern: <companyId>-[NOBENF|<beneficiaryId>]-API-*
Example:

"ZTEST-NOBENF-849P8XKKAO"

walletName
string

Display name of the wallet

Required string length: 1 - 128
Example:

"Demo wallet"

walletCompany
string

ID of the company

Required string length: 1 - 12
Example:

"ZTEST"

createdBy
string

ID of the user who created the wallet

Example:

"api-maker@zodia.io"

status
enum<string>

Current status of the wallet

Available options:
ACTIVE,
INACTIVE,
CONFIRMED,
CANCELLED_BY_MAKER,
CONFIRMATION_TIMEOUT,
APPROVAL_TIMEOUT,
PENDING_AUTH,
PROCESSING,
AUTHORISED,
REJECTED_BY_AUTHORISER,
REJECTED_BY_SYSTEM,
FAILED,
DRAFT,
DELETED
valid
boolean

True if the wallet is still valid

registeredComplianceKey
boolean
deprecated

Read-only field

blockchain
string

Blockchain of the wallet

assetBalances
object[]

Balances of wallet assets

createdAt
string

Date/time (in UTC) of creation of the wallet

Example:

"2021-08-03T18:17:57Z"

updatedAt
string

Date/time (in UTC) of the wallet last update

Example:

"2021-08-03T18:17:57Z"